camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Charlie Mordant <cmorda...@gmail.com>
Subject Re: Issue with 'javax.annotation' when installing 'camel' followed by 'cxf' feature
Date Wed, 08 Apr 2015 18:55:22 GMT
Hi James,

Unfortunately, the problem is not here: camel karaf feature declares
'xml-specs-api' (jaxb, javax.annotations, stax, activation and so on) with
the 2.2.0 version, while all other Apache projects (openjpa, cxf, amq, and
even Karaf) are exporting the 2.4.0 ones.
The only solution I found is to rewrite Camel feature pointing on the 2.4.0
one (or override third parties manifests such as spring-context...). I may
be wrong, or do not know all solutions.

Regards,

2015-04-07 3:49 GMT+02:00 James Carman <james@carmanconsulting.com>:

> You need to update jre.properties to make sure you have the right version
> coming from the jre.  What jdk?
>
> On Monday, April 6, 2015, Martin Lichtin <lichtin@yahoo.com.invalid>
> wrote:
>
> > In a Karaf 3.0.3 container one cannot install feature 'camel' followed by
> > installing 'cxf'.
> >
> > karaf@root()> feature:repo-add mvn:org.apache.camel.karaf/
> > apache-camel/2.15.1/xml/features
> > Adding feature url mvn:org.apache.camel.karaf/apache-camel/2.15.1/xml/
> > features
> >
> > karaf@root()> feature:install camel
> > karaf@root()> feature:install cxf
> > Refreshing bundles org.apache.servicemix.bundles.spring-context (79),
> > org.apache.servicemix.bundles.spring-beans (77),
> > org.apache.servicemix.bundles.spring-context-support (80),
> > org.apache.servicemix.bundles.spring-core (75)
> > Error executing command: Can't install feature cxf/0.0.0:
> > Could not start bundle
> mvn:org.apache.cxf/cxf-rt-rs-extension-providers/3.0.4
> > in feature(s) cxf-jaxrs-3.0.4: Uses constraint violation. Unable to
> resolve
> > bundle revision org.apache.cxf.cxf-rt-frontend-jaxrs [138.0] because it
> > is exposed to package 'javax.annotation' from bundle revisions
> > javax.annotation-api [93.0] and org.apache.felix.framework [0] via two
> > dependency chains.
> >
> > Chain 1:
> >   org.apache.cxf.cxf-rt-frontend-jaxrs [138.0]
> >     import: (&(osgi.wiring.package=javax.annotation)(version>=1.2.0)(!(
> > version>=2.0.0)))
> >      |
> >     export: osgi.wiring.package=javax.annotation
> >   javax.annotation-api [93.0]
> >
> > Chain 2:
> >   org.apache.cxf.cxf-rt-frontend-jaxrs [138.0]
> >     import: (&(osgi.wiring.package=org.springframework.context.
> > annotation)(version>=3.1.0)(!(version>=5.0.0)))
> >      |
> >     export: osgi.wiring.package=org.springframework.context.annotation;
> > uses:=javax.annotation
> >   org.apache.servicemix.bundles.spring-context [79.0]
> >     import: (osgi.wiring.package=javax.annotation)
> >      |
> >     export: osgi.wiring.package=javax.annotation
> >   org.apache.felix.framework [0]
> > karaf@root()>
> >
> > Anyone else experiencing this issue?
> >
> > I see that switching the install (i.e. first installing 'cxf') will make
> > it work, however, it seems a klduge to prescribe an installation
> ordering.
> >
> >
>



-- 
Charlie Mordant

Full OSGI/EE stack made with Karaf:
https://github.com/OsgiliathEnterprise/net.osgiliath.parent

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message